<?php
	$title = "alterlang";
	if(include "config.php")
	{
		?>
			<script type="text/javascript">
				var saveoutput;	
				function post(link)
				{
					$.post(link,{
						targetlang: $('#targetlang').val(),
						trans: $('#trans').val(),
						sourceterm: $('#sourceterm').val(),
						sourcelang: $('#sourcelang').val()
						
					},function(data)
					{
						saveoutput = data;
						reloadmypage();
					})
					.fail(function()
					{
						alert(" <?php Sprache("ajaxerror"); ?>" );
					});
				}
					
				$('#sourcelang').change(function()
				{
					reloadmypage();
				});
				$('#targetlang').change(function()
				{
					reloadmypage();
				});
				$('#showonly').change(function()
				{
					if($(this).attr('checked'))
					{
						$(this).attr('checked', false);
					}
					else
					{
						$(this).attr('checked', true);
					}
					reloadmypage();
				});
				
				function reloadmypage()
				{
					var showonly;
					if($('#showonly').attr('checked'))
					{
						showonly = 1;
					}
					else
					{
						showonly = 0;
					}
					$.get("php/settings/lang/alter.php",
					{
						source: $('#sourcelang').val(),
						target: $('#targetlang').val(),
						showonly: showonly
					},function(data)
					{
						$("#content").empty();
						$("#content").append(data);
						$("#output").empty();
						$("#output").append(saveoutput);
						saveoutput = "";
					})
					.fail(function()
					{
						alert(" <?php Sprache("ajaxerror"); ?>" );
					});
				}
			</script>
			<div class="inputfield">
				<form id="myform" enctype="multipart/form-data">
					<h1><?php Sprache($title); ?></h1>
					<?php
						if(empty($_GET['source'])&&empty($_GET['target'])&&empty($_GET['showonly']))
						{
							alterlang($con, "", "", 0);
						}
						else
						{
							alterlang($con, $_GET['source'], $_GET['target'], $_GET['showonly']);
						}
					?>
					<div id="output">
					</div>
				</form> 
			</div>
		<?php
	}

	function alterlang($con, $sourcelang, $targetlang, $showonlyuntrans)
	{
		?>
			<h2><?php Sprache("sourcelang"); ?> </h2>
			<select name="sourcelang" id="sourcelang">
				<?php
					$result = mysqli_query($con, 'select * from language');
					if (!$result)
					{
						Sprache('errorno');
						echo mysqli_errno($con);
					}
					else
					{
						while($field = mysqli_fetch_field($result))
						{
							if($field->name != "tag" && $field->name != "idlanguage")
							{
								?>
									<option <?php if($sourcelang == $field->name){ echo "selected";}?>><?php if($sourcelang == ""){ $sourcelang = $field->name;} echo $field->name; ?></option>
								<?php
							}
						}
					}
				?>
			</select><br>
			<p id="checkboxarea"><input type="checkbox" id="showonly" <?php if($showonlyuntrans){ echo "checked";}?>><?php Sprache("justuntranslated"); ?></p>
			<h2><?php Sprache("sourceterm"); ?> </h2>
			<select name="sourceterm" id="sourceterm">
				<?php
					$result = mysqli_query($con, 'select * from language');
					if (!$result)
					{
						Sprache('errorno');
						echo mysqli_errno($con);
					}
					else
					{
						while($row = mysqli_fetch_array($result))
						{
							if($showonlyuntrans && $row[$targetlang]=="")
							{
								?><option><?php echo $row[$sourcelang];?></option><?php
							}
							else if(!$showonlyuntrans)
							{
								?><option><?php echo $row[$sourcelang];?></option><?php
							}

						}
					}
				?>
			</select><br>
			<h2><?php Sprache("targetlang"); ?> </h2>
			<select name="targetlang" id="targetlang">
				<?php
					$result = mysqli_query($con, 'select * from language');
					if (!$result)
					{
						Sprache('errorno');
						echo mysqli_errno($con);
					}
					else
					{
						while($field = mysqli_fetch_field($result))
						{
							if($field->name != "tag" && $field->name != "idlanguage")
							{
								?>
									<option <?php if($targetlang == $field->name){ echo "selected";}?>><?php echo $field->name; ?></option>
								<?php
							}
						}
					}
				?>
			</select><br>
			<h2><?php Sprache("translation"); ?> </h2><input type="text" id="trans"><br>
			<input type="button" onClick="post('php/settings/lang/post_alter.php')" value="<?php Sprache("alter"); ?>" name="alter">	
		<?php
	}
?>