<?php
	if(!require "config.php")
	{
        return;
    }
    $scandir = $_SERVER['DOCUMENT_ROOT'] . "/plugins";
    $scan = scandir($scandir);
?>


<script>
    addJavascript('js/overviewController.js');


    <?php
        foreach($scan as $f)
        {
            if(preg_match("/(.*)(_template\.json)$/", $f, $match) && file_exists($scandir . '/'. $match[1] . ".js"))
            {
                ?>
                    addJavascript('<?php echo ("plugins/". $match[1] . ".js"); ?>');
                <?php
            }
        }
    ?>
       
    
    var $injector = angular.injector(['ng', 'myApp']);
    $injector.invoke(function($rootScope, $compile, $filter) 
    {
        $compile($('#overview_config'))($rootScope);
    });
    


</script>



<div id="overview_config" ng-controller="overviewSettingsController">

<div id="overview_field" class="config" >
    <div ng-repeat="x in overviewData" model="x" sqlid="{{x.id}}" ng-style="{'width': x.width, 'height': x.height, 'top': x.y + 'px', 'left': x.x + 'px'}" style="position: relative;">
        <div class="item">
            <?php
                foreach($scan as $f)
                {
                    if(preg_match("/(.*)(_template\.json)$/", $f, $match) && file_exists($scandir . '/'. $match[1] . ".php"))
                    {
                        include($scandir . '/'. $match[1] . ".php");
                    }
                }
            ?>
        </div>
    </div>
</div>


<?php
return;
	$title = "weatheroverview";
	if(include "config.php")
	{
		
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        return;
        //
		$data = shell_exec('/usr/bin/te923con');
		if(!$data && !$data = @file_get_contents('http://192.168.10.24/weatherdata.php/'))
		{
		    echo "Could not get weather-data.";
		    $data = "1372369185:22.85:37:2.70:65:-2.6:56:1.10:i:i:i:i:i:1011.6:i:1:0:50:7:i:i:95";
		}

		list($datetime, $t0, $h0, $t1, $h1, $t2, $h2, $t3, $h3, $t4, $h4, $t5, $h5, $press, $uv, $fc, $storm, $wd, $ws, $wg, $wc, $rc) = explode(":", $data);
		$date = date_create();
		date_timestamp_set($date, $datetime);
		$hwinfo = shell_exec('/usr/bin/te923con -s');		
		if(!$hwinfo && !$hwinfo = @file_get_contents('http://192.168.10.24/batterydata.php/'))
		{
		  echo "Could not get battery-data.";
		  $hwinfo = "1.2:2.3:3.2:1.1:1.0:1:1:0:1:0:0:1:1";
		}
		list($SYSSW,$BARSW,$EXTSW,$RCCSW,$WINSW,$BATR,$BATU,$BATW,$BAT5,$BAT4,$BAT5,$BAT2,$BAT1) = explode(":", $hwinfo);
		?>
		<h3 style="text-align: center; color: black; font-size: 22px; text-decoration: underline;"> Das Wetter von ihrer Wetterstation um <?php echo date_format($date, 'H:i:s'); ?> am <?php echo date_format($date, 'Y-m-d');?>.</h3>

		<div class="weatherfield">
			<?php
				$weatherdata = array("t0", "h0", "t1", "h1", "t2", "h2", "t3", "h3", "t4", "h4", "t5", "h5", "press", "uv", "fc", "storm", "wd", "ws", "wg", "wc", "rc");
				
				$result = mysqli_query($con, 'select * from weather');
				if (!$result)
				{
					Sprache('errorno');
					echo mysqli_errno($con);
				}
				else
				{
					$i = 0;
					while($row = mysqli_fetch_array($result))
					{
						?>
							<div class="weatheritem small tiny cf">
								<h4><?php echo $row['name']; ?></h4>
								<canvas id="<?php echo $row['sensor']; ?>" height="200" width="120"></canvas>
								<script type="text/javascript">
									$(document).ready(function ()  
									{
										$('#<?php echo $row['sensor']; ?>').thermometer(
										{
											color:
											{
												label: 		'#000000',	//Wert
												tickLabel: 	'#000000',			//Skala
												fill:      	'<?php echo $row['color']; ?>',
												fill1:     	'<?php echo $row['color2']; ?>'										//Skala
											},
											majorTicks: <?php echo $row['major']; ?>,
											minorTicks: <?php echo $row['minor']; ?>,
											max: <?php echo $row['max']; ?>,
											min: <?php echo $row['min']; ?>,
											unitsLabel: " <?php echo $row['unit'] ?>",
											minorTicksFont: '<?php echo $row['showMinor'] ?>' 
										});
										$('#<?php echo $row['sensor']; ?>').thermometer('setValue','<?php if(is_numeric($row['sensor'])){echo ${'t'.$row['sensor']};}else{echo ${$row['sensor']};}?>', '<?php if(is_numeric($row['sensor'])){echo ${'h'.$row['sensor']}.'%';}?>');
									});
									
								</script>
							</div>
						<?php
					}
					?>
					
						<div class="weatheritem tall tiny cf">
							<h4><?php Sprache('wind'); ?></h4>
							<?php 
if($ws=="i" || $wd == "i")
{
Sprache('nowinddata');
}
else
{
?>
							<canvas id="kompass" height="270" width="200"></canvas>
							<script type="text/javascript">
								$(document).ready(function ()  
								{
									$('#kompass').kompass({radius: 70, lang: "<?php echo $_SESSION['lang'] ?>"});
									$('#kompass').kompass('setValues', <?php echo $wd; ?> , <?php echo $ws; ?>);
								});
							</script>
<?php
}
?>
						</div>
						<div class="weatheritem tall fat cf">
							<h4><?php Sprache('weatherforecast'); ?></h4>
							<img src="images/weather/<?php echo $fc; ?>.png">
						</div>
						<div class="weatheritem tall tiny cf">
							<h4><?php Sprache('battery'); ?></h4>
							<table width="100%" style="text-align: left; padding-left: 10px;">
								<?php
									for ($i = 1; $i <= 5; $i++)
									{
										$query = "select name from weather WHERE sensor LIKE '$i%'";
										$result = mysqli_query($con, $query);
										if (!$result)
										{
											Sprache('errorno');
											echo mysqli_errno($con);
										}
										else if($result->num_rows > 0)
										{
											$row = mysqli_fetch_object($result);
											if (${"t$i"} == "i")
											{
												showBattery($row->name, "i", false);
											}
											else
											{
												showBattery($row->name, ${"BAT$i"}, false);
											}
										}
									}
									if($wc == "i" && $wd == "i" && $wg == "i" && $ws == "i")
									{
										showBattery('windsens', "i", true);
									}
									else
									{
										showBattery('windsens', ${"BATW"}, true);
									}
									
									if($uv == "i")
									{
										showBattery('uvsensor', "i", true);
									}
									else
									{
										showBattery('uvsensor', ${"BATU"}, true);
									}
									
									if($rc == "i")
									{
										showBattery('rainsens', "i", true);
									}
									else
									{
										showBattery('rainsens', ${"BATR"}, true);
									}
								?>
							</table>
						</div>
					<?php
				}	
			?>
		</div>
      <?php
	  
	
	}

	function showBattery($name, $value, $namefromlang)
	{		//$hwinfo = file_get_contents('http://192.168.10.24/batterydata.php/');
		if($value == 1)
		{
			?>
				<tr><td><p><?php if($namefromlang){Sprache($name);}else{echo $name; }?></p></td><td><img src="images/weather/battery_high.png"></td></tr>
			<?php
		}
		else if($value == "i")
		{
			?>
				<tr><td><p><?php if($namefromlang){Sprache($name);}else{echo $name; }?></p></td><td><img src="images/weather/battery_empty.png"></td></tr>
			<?php
		}
		else
		{
			?>
				<tr><td><p><?php if($namefromlang){Sprache($name);}else{echo $name; }?></p></td><td><img src="images/weather/battery_empty.png"></td></tr>
			<?php
		}
	}
?>
