<?php session_start(); ?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<?php 
			if(!isset($_SESSION['lang']))
			{
				$_SESSION['lang'] = "English";
			}
			$title = "home";
			include 'php/main/global_functions.php';
			include 'php/main/head.php';
			include 'php/main/mysql.php';

		?>
		<script type="text/javascript">
			var VarAjaxError = "<?php Sprache("ajaxerror");?>";
            var extScope = undefined;
            $.ajaxSetup({ cache: false });
			$( document ).ajaxStart(function() {
				$( "#loader" ).show();
			});
			$(document).ajaxStop(function() {
				$( "#loader" ).hide();
			});
			$(document).ajaxError(function(xhr, status)
			{
				if(status.status == 404)
				{
					alert("404: page not found");
				}
				else if(status.status == 403)
				{
					alert("403: Access denied/forbidden");
				}
				else if(status.status == 500)
				{
					alert("500: Internal server error");
				}
				else
				{
					alert(status.status);
					alert(VarAjaxError);
				}
				$( "#loader" ).hide();
			});

			var token = undefined;
			var password = undefined;
			var username = undefined;
			var TokenMessageStack = [];
			var Websocketserver = "<?php echo $_SERVER['SERVER_NAME'];?>";


			$(document).ready(function() {
                checkforupdates();
				<?php
				if(isset($_SESSION['username']))
				{
					?>
                    username = "<?php echo $_SESSION['username'];?>";
					ConnectToWebsocket(username);
					<?php
				}
				if(isset($_SESSION['password']))
				{
					?>
					password = "<?php echo $_SESSION['password'];?>";
					<?php
				}
        		?>
			});	
		</script>
	</head>
	<body ng-app="myApp">
		<div id="top" class="cf">
			<ul class="menu cf">
			</ul>
			<div id="language">
				<a href="#" onclick="changeLang('main/switchlang', 'Deutsch')">
					<img src="images/language/de-at.jpg" alt="Deutsch">
				</a>
				<a href="#" onclick="changeLang('main/switchlang', 'English')">
					<img src="images/language/e-gb.jpg" alt="English">
				</a>
			</div>
			<div id="websocketstatus">
				<div></div> <!-- for icon-->
			</div>
		</div>
        <div id="updateavailable" class="messagetop" onclick="loadSite('settings/RaSmatin/update/index')"><?php Sprache("updateavailable"); ?></div>
		<div id="notconnected" class="messagetop" onclick="ConnectToWebsocket(username)"><p><?php Sprache("notconnected"); echo " "; Sprache("retry");?></p></div>
		<div id="content">
			<noscript>
				You need to turn on JavaScript.
			</noscript>
			<script type="text/javascript">
				$(document).ready(function()
				{
                    var url = window.location.hash.replace("#", "");
					if (url == "")
					{
						url = "login/index";
					}
					loadSite(url);
				});
			</script>
		</div>
		<div id="chats"></div>
		<div id="loader" style="display: none; height: 100%; width: 100%; position: fixed; top:0; left:0;
		background: url(images/ajax-loader.gif) center center no-repeat rgba(0,0,0,0.5); z-index:1000;"></div>
        <div id="js_executor">

        </div>
	</body>
</html>
