function newerversion(local, online)
{
    local = local.split('.');
    online = online.split('.');
            
    for(i = 0; i < local.length && i < online.length; i++)
    {
        if(parseInt(online[i]) > parseInt(local[i]))
        {
            return true;
        }
    }
    return false;
}



function checkforupdates()
{
    var version_online = undefined;
    $.ajax(
    {
      url: "php/settings/RaSmatin/update/rasmatinweb.php",
      
      context: document.body
    }).done(function(data) 
    {
      version_online = data;
      var version_local = undefined; 
        $.ajax(
        {
          url: "version.txt",
          
          context: document.body
        }).done(function(data) 
        {
          version_local = data;
          if(newerversion(version_local, version_online))
          {
             $('#downloadandinstallupdate').slideDown();
             $('#updateavailable').slideDown();
          }
        });
        

    });
}

function openDialog(div_id)
{
    var dialog = $('#' + div_id);
    if(dialog.hasClass("dialog") && !dialog.is(':visible'))
    {
        var widht = dialog.width();
        dialog.width(0);
        var height = dialog.height();
        dialog.height(0);
        dialog.show();
        dialog.animate({ "width": widht }, { queue: false, duration: 500 });
        dialog.animate({ "height": height }, { queue: false, duration: 500, complete:
            function()
            {
                dialog.css({'overflow': 'auto'});
            }
        });

    }
}

function closeDialog(div_id)
{
    var dialog = $('#' + div_id);
    if(dialog.hasClass("dialog") && dialog.is(':visible'))
    {
        var widht = dialog.width();
        var height = dialog.height();
        dialog.animate({ "width": 0 }, { queue: false, duration: 500 });
        dialog.animate({ "height": 0 }, { queue: false, duration: 500, complete:
            function()
            {
                dialog.hide();
                dialog.width(widht);
                dialog.height(height);
            }
        });
    }
}

function loadSite(link) {
    if (link.indexOf("?") > -1) {
        var parameter = link.split('?', 2);
        link = parameter[0];
        parameter = parameter[1];
        parameter = parameter.split('&');
    }

    var values = { };

    for (var i in parameter)
    {
        var x = parameter[i].split('=', 2);
        values[x[0]] = x[1];
    }



    var linkhash = link;
    if(Object.keys(values).length != 0)
    {
        linkhash += '?'
        for(var key in values)
        {
            linkhash += key + '=' + values[key] + '&';
        }
        linkhash = linkhash.substring(0, linkhash.length - 1);
    }
    window.location.hash = linkhash;

    $.ajax({
        type: 'GET',
        url: "php/" + link + ".php",
        dataType: 'html',
        data: values,
        success: function(data)
        {
            $("#content").empty();
            $("#content").append(data);
        }
    });
    
    


    reloadMenu();
}


function detectmob()
{
    if( navigator.userAgent.match(/Android/i)
        || navigator.userAgent.match(/webOS/i)
        || navigator.userAgent.match(/iPhone/i)
        || navigator.userAgent.match(/iPad/i)
        || navigator.userAgent.match(/iPod/i)
        || navigator.userAgent.match(/BlackBerry/i)
        || navigator.userAgent.match(/Windows Phone/i)
    )
    {
        return true;
    }
    else
    {
        return false;
    }
}



function addJavascript(filename)
{
    if($('head').children("script[type='text/javascript'][src='" + filename +"']").length == 0)
    {
        $('head').append("<script type='text/javascript' src='" + filename + "' />");
    }
}

function addStylesheet(filename)
{
    if($('head').children("link[rel='stylesheet'][type='text/css'][href='" +filename + "']").length == 0)
    {
        $('head').append("<link rel='stylesheet' type='text/css' href='" + filename + "'/>");
    }
}

function reloadPage()
{
    loadSite(window.location.hash.replace("#", ""));
}

function changeLang(link, lang)
{
    $.get("php/" + link + ".php",
    {
            lang: lang
    });
    var url = window.location.hash.replace("#", "");
    loadSite(url);
}

function reloadMenu()
{
    var menuwidth = $(".menu").width();
    $.post("php/main/menu.php",{
    },function(data)
    {
        $('.menu').empty();
        $('.menu').append(data);
        setMenuEvents();
    });
}

function GetLoginStatus()
{
        var data = $.ajax(
        {
                url: "php/main/ajax/login_info.php",
                type: 'POST',
                async: false
        });
        if (data.responseText == "true")
        {
                return true;
        }
        else
        {
                //websocket.close();
                return false;
        }
}