app.directive('dragresizeable', [function() 
{
  return {
    restrict: 'A',
    scope: {
      'model': '='
    },
    link: function(scope, elem, attrs) 
    {
        $(elem).draggable(
        {
            grid: [ 50, 50 ], 
            containment: "#overview_field",
            stop: function( event, ui ) 
            {
                scope.model.y = $(elem).css('top').replace("px", "");
                scope.model.x = $(elem).css('left').replace("px", "");
            }
        });
        $(elem).resizable(
        {
            grid: 50,
            handles: 'all', 
            containment: "#overview_field" ,
            stop: function( event, ui ) 
            {
                scope.model.width = $(elem).width();
                scope.model.height = $(elem).height();
            }
            
        });
    }
  };
}]);
