<?php
if(!isset($_SESSION))
{
	session_start();
}

function Sprache($tag, $return = false)
{
	if(empty($_SESSION['lang']))
	{
		$_SESSION['lang'] = "English";
	}
	include(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'mysql.php');
	mysqli_query($con, "set names 'utf8'");
	$sql= "SELECT $_SESSION[lang] FROM language WHERE tag='$tag'";
	$result = mysqli_query($con,$sql);
	$output = mysqli_fetch_array($result);

	if(empty($output))
	{
		$result = $tag . " ";
		$result = $result . Sprache('tagnotfound', true);
	}
	else
	{
		if(empty($output[$_SESSION['lang']]))
		{
			$result = $output['Deutsch'];
		}
		else
		{
			$result = $output[$_SESSION['lang']];
		}
	}
	if($return)
		return $result;
	else
		echo $result;
}

function deleteDir($path)
{
	if(!isDeleteable($path))
		return false;

	foreach(glob("{$path}/*") as $file)
	{
		if(is_dir($file)) {
			deleteDir($file);
		} else {
			unlink($file);
		}
	}
	rmdir($path);
	return true;
}

function isDeleteable($Path)
{
	if(is_file($Path))
	{
		return is_writable(dirname($Path)) && is_writable($Path);
	}
	else
	{
		if(!is_writable(dirname($Path)))
		{
			return false;
		}
		if(substr("$Path", -1) == "*")
		{
			$Path = dirname($Path);
		}

		foreach(glob("{$Path}/*") as $file)
		{
			if(!isDeleteable($file))
				return false;
		}
		return true;
	}
}

function getLevels($idmain, $tag)
{
	include(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'mysql.php');

	$i = 0;
	$ids[$i]['id'] = $idmain;
	$sql= "SELECT $_SESSION[lang] FROM language WHERE tag='$tag'";
	$result = mysqli_query($con,$sql);
	$output = mysqli_fetch_array($result);
	if(!empty($output))
	{
		if(empty($output[$_SESSION['lang']]))
		{
			$ids[$i]['name'] = $output['Deutsch'];
		}
		else
		{
			$ids[$i]['name'] = $output[$_SESSION['lang']];
		}
	}
	$i++;
	$sql="SELECT idtree,name FROM tree WHERE idmain='$idmain'";
	$result = mysqli_query($con,$sql);
	if (!$result)
	{
		Sprache('errorno');
		echo mysqli_errno($con);
	}
	else
	{
		while($row = mysqli_fetch_array($result))
		{
			$ids[$i]['id'] = $row['idtree'];
			$ids[$i]['name'] = $row['name'];
			$i++;
		}
	}
	return $ids;
}

function getMainID($id)
{
	include(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'mysql.php');
	mysqli_query($con, "set names 'utf8'");

	$mainids;
	$mainid = $id;
	$ids[0] = $mainid;
	$i = 1;
	while($mainid != 0 && $id != 0)
	{
		$sql="SELECT idmain FROM tree WHERE idtree='$mainid'";
		$result = mysqli_query($con,$sql);
		if (!$result)
		{
			Sprache('errorno');
			echo mysqli_errno($con);
		}
		else
		{
			if($result->num_rows == 0)
			{
				return false;
			}
			$row = mysqli_fetch_array($result);
			$ids[$i] = $row['idmain'];
			$mainid = $row['idmain'];
			$i++;
		}
	}
	return array_reverse($ids);
}

function createUL_Tree($mainid, $createSub)
{
	include(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'mysql.php');
	mysqli_query($con, "set names 'utf8'");

	$sql="SELECT idtree, name FROM tree WHERE idmain='$mainid'";
	$result = mysqli_query($con,$sql);
	if (!$result)
	{
		Sprache('errorno');
		echo mysqli_errno($con);
	}
	else
	{
		if($result->num_rows == 0)
		{
			return false;
		}
		else
		{
			?>
			<ul>
				<?php
				while($row = mysqli_fetch_array($result)) {
					?>
					<li>
						<a href="#status/overview?level=<?php echo $row['idtree']; ?>">
							<nobr>
								<?php
								echo $row['name'];
								?>
							</nobr>
						</a>
						<?php
						if ($createSub) {

							createUL_Tree($row['idtree'], true);
						}
						?>
					</li>
					<?php
				}
				?>
			</ul>
			<?php
		}
	}
}

function ArrayContains($array, $value, $key=null)
{
	if(is_array($array))
	{
		foreach($array as $val)
		{
			if($key == null)
			{
				if(in_array($value, $val))
				{
					return true;
				}
			}
			else
			{
				if(isset($val[$key]))
				{
					if($val[$key] == $value)
					{
						return true;
					}
				}
			}
			ArrayContains($val, $value, $key);
		}
	}
	return false;
}

function login($adminrequired)
{
	if(!empty($_SESSION['usertype']))
	{
		if($_SESSION['usertype']=="SuperUser" && $adminrequired)
		{
			return true;
		}
		else if($_SESSION['usertype']!="SuperUser" && $adminrequired)
		{
			?>
			<div class="inputfield">
				<h3><?php Sprache('access_denie'); ?></h3>
				<img src="images/access_denied.png" style="margin: 0 auto; display: block;">
				<h4 align="center" style="margin-top: 20px"><?php Sprache('adminreq'); ?></h4>
				<input type="button" onClick="loadSite('login/logout')" value="<?php Sprache("logout"); ?>" name="logout">
			</div>
			<?php
			return false;
		}
		else
		{
			return true;
		}
	}
	else
	{
		?>
		<div class="inputfield">
			<h3><?php Sprache('access_denie'); ?></h3>
			<img src="images/access_denied.png" style="margin: 0 auto; display: block;">
			<h4 align="center" style="margin-top: 20px";><?php Sprache('loginreq'); ?></h4>
			<input type="button" onClick="loadSite('login/index')" value="<?php Sprache("login"); ?>" name="login">
		</div>
		<?php
		return false;
	}
}

function buildTreeListBox($id, $tag)
{
	$main = getMainID($id);
	$i = count($main);
	foreach ($main as &$myid)
	{
		$ids = getLevels($myid, $tag)
		?>
		<select name="buildTreeListBox<?php echo $tag.$i;?>" class="buildTreeListBox" id="buildTreeListBox<?php echo $tag.$i; $i--;?>">
			<?php
			foreach ($ids as &$item)
			{
				if(!($item['id'] == 0 AND ($tag == "movethis" || $tag == "deletethis")))
				{
					?>
					<option value="<?php echo $item['id']; ?>" <?php if(is_a_mainid($item['id'],$main)){echo "selected";}?>><?php echo $item['name'];?></option>
					<?php
				}
			}
			?>
		</select>
		<?php
	}

}

function is_a_mainid($ID, $mainIDs)
{
	foreach ($mainIDs as &$item)
	{
		if ($item == $ID)
		{
			return true;
		}
	}
	return false;
}

function PrintIndexPage($url, $title)
{
	?>
	<div class="inputfield">
		<h1><?php echo $title; ?></h1>
		<div class="overview">
			<ul>
				<?php
				$xml = simplexml_load_file(dirname(__FILE__) . DIRECTORY_SEPARATOR . "menu.xml");
				foreach ($xml->xpath('//Item[@Link="'.$url.'"]/Item') as $node)
				{
					$name = $node['Name'];
					if($node['Translate'] != "false")
					{
						$name = Sprache($name, true);
					}
					if($node['Type'] == "Direct")
					{
						?>

						<li><a href="php/<?php echo $node['Link']; ?>.php"><?php echo $name; ?></a></li>
						<?php
					}
					else
					{
						?>
						<li><a href="#" onclick="loadSite('<?php echo $node['Link']; ?>')"><?php echo $name ?></a></li><?php
					}
				}
				?>
			</ul>
		</div>
	</div>
	<?php
}

function Authenificate(&$socket)
{
	$socket = openSocket();
    if($socket == null)
    {
        return false;
    }
	sendMessage($socket, array('Username' => $_SESSION['username']));
	$endhash = openssl_digest(recvMessage($socket)->UsernameSalt . $_SESSION['password'], 'sha512');
	sendMessage($socket, array('EndHash' => $endhash));
	$_SESSION['Token'] = recvMessage($socket)->Token;
    return true;
}

function ServerRunning()
{
	if (shell_exec("RaSmatinServer status")==1)
	{
		return true;
	}
	return false;
}

function RestartPython()
{
	if(ServerRunning())
	{
		$socket = "";
		Authenificate($socket);
		sendMessage($socket, array('Action' => "Restart"));
		$status = recvMessage($socket)->Status;
        echo "RaSmatinServer ";
		if($status == "OK")
			Sprache("restartsuc");
		else
			Sprache("restartfail");
		sendMessage($socket, array('Action' => "CloseConnection"));
		closeSocket($socket);
	}
}

function sendMessage($socket, $message)
{
	if(isset($_SESSION['Token']))
	{
		$message["Token"] = $_SESSION['Token'];
	}
	$message = json_encode($message);
	$message = strlen($message) . "-" . $message;
	fwrite($socket, $message);
}

function recvMessage($socket)
{
	$lenght = -1;
	$data = "";
	while ($lenght < strlen($data))
	{
		$data .= fgets($socket, 1024);
		if($lenght == -1 && $data != "")
		{
			list($lenght, $data) = explode("-", $data, 2);
			$lenght = intval($lenght);
		}
	}
	return json_decode($data);
}

function openSocket()
{
    $socket = false;
    $i = 0;

    while (!$socket && $i < 30)
    {
        $socket = @fsockopen("localhost", 8766, $errno, $errstr, 30);
        if($socket)
        {        
            stream_set_blocking ( $socket , 0);
            return $socket;
        }
        $i++;
        sleep(1);
    }
     return null;
}

function closeSocket($socket)
{
	fclose($socket);
	unset($_SESSION["Token"]);
}

/*?>
    <div class="inputfield">
        <h3><?php Sprache($title); ?></h3>
        <div class="overview">
            <ul>
                <li>
                    <a href="#" onclick="loadSite('RaControl/settings/tree/index')">
                        <?php Sprache("tree"); ?>
                    </a>
                </li>
                <li>
                    <a href="#" onclick="loadSite('RaControl/settings/lang/index')">
                        <?php Sprache("lang"); ?>
                    </a>
                </li>
                <li>
                    <a href="#" onclick="loadSite('RaControl/settings/user/index')">
                        <?php Sprache("user"); ?>
                    </a>
                </li>
                <li>
                    <a href="#" onclick="loadSite('RaControl/settings/weather/index')">
                        <?php Sprache("weather"); ?>
                    </a>
                </li>
                <li>
                    <a href="#" onclick="loadSite('RaControl/settings/configuration/index')">
                        <?php Sprache("upload"); ?>
                    </a>
                </li>
            </ul>
        </div>
    </div>
<?php*/

function GetCurrentFileShortName($cwd, $File)
{
	$cwd = str_replace('/', '\/', $cwd) . '\/php\/';
	$search = "/(?:^".$cwd.")(.*)(?:.php$)/";
	preg_match($search, $File, $matches);
	return $matches[1];
}

function escapeAll(&$item, $con)
{
    if(is_array($item))
    {
        foreach($item as &$i)
        {
            escapeAll($i, $con);
        }
    }
    else
    {
        $item = mysqli_real_escape_string($con, $item);
    }
}


/*function get_sub_ids($ID, $IDs)
{
    include(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'mysql.php');
    mysqli_query("set names 'utf8'");

    $sql="SELECT idtree, name FROM tree WHERE idmain='$ID'";
    $result = mysqli_query($con,$sql);
    if (!$result)
    {
        Sprache('errorno');
        echo mysqli_errno($con);
    }
    else
    {
        if($result->num_rows == 0)
        {
            return false;
        }
        else
        {
            while($row = mysqli_fetch_array($result))
            {
                ?>
                    <li>
                        <a href="#" onclick="loadSignalSite('status/overview', <?php echo $row['idtree'];?>)">
                            <nobr>
                                <?php
                                    echo $row['name'];
                                ?>
                            </nobr>
                        </a>
                        <?php
                            createUL_Tree($row['idtree']);
                        ?>
                    </li>
                <?php
            }
        }
    }
}*/
?>
