<?php
ini_set('display_errors', '1');
include_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'global_functions.php');
$xml = simplexml_load_file(dirname(__FILE__) . DIRECTORY_SEPARATOR . "menu.xml");
$LoggedIn = isset($_SESSION['usertype']) && isset($_SESSION['username']);
$SuperUser = false;
if($LoggedIn)
{
 $SuperUser = $_SESSION['usertype'] == "SuperUser";
}
PrintULNode($xml, $LoggedIn, $SuperUser);

?>
<?php
    function PrintULNode($xml, $LoggedIn, $SuperUser)
    {
        foreach ($xml as $node)
        {
            ?>
            <li>
                <?php
                $valid = false;
                if($node['Required'] == "Login")
                {
                    if($LoggedIn)
                    {
                        $valid = true;
                    }
                }
                else if($node['NotRequired'] == "Login")
                {
                    if(!$LoggedIn)
                    {
                        $valid = true;
                    }
                }
                else if($node['Required'] == "SuperUser")
                {
                    if($SuperUser)
                    {
                        $valid = true;
                    }
                }
                else
                {
                    $valid = true;
                }
                if($valid)
                {
                    $name = $node['Name'];
                    $direct = false;
                    if($node['Type'] == "Direct")
                    {
                        $direct = true;
                    }
                    if($node['Translate'] != "false")
                    {
                        $name = Sprache($name, true);
                    }
                    PrintLI($name, $node['Link'], $direct);
                }

                if(count($node->children())!=0)
                {
                ?>
                <ul>
                    <?php
                    PrintULNode($node, $LoggedIn, $SuperUser);
                    ?>
                </ul>
                <?php
                }
                ?>
            </li>
            <?php
        }
    }

function PrintLI($name, $link, $direct)
{
    if($direct)
    {
        ?>
        <a class="direct" href="php/<?php echo $link; ?>.php">
            <?php echo $name; ?>
        </a>
        <?php
    }
    else
    {
        ?>
        <a href="#<?php echo $link; ?>">
            <?php echo $name; ?>
        </a>
        <?php
    }
}
?>