<?php
	$title = "upload";
	if(include "config.php")
	{
	    ?>
            <script type="text/javascript" >
                checkPermissions();
                $(document).ready(function (e)
                {
                    $("#uploadconfig").on('submit',(function(e)
                    {
                        if(!checkPermissions())
                            return;
                        e.preventDefault();
                        $("#output").empty();
                        $('#loading').show();
                        $.ajax({
                            url: "<?php echo dirname($_SERVER['PHP_SELF']); ?>/upload_post.php", // Url to which the request is send
                            type: "POST",             // Type of request to be send, called as method
                            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
                            contentType: false,       // The content type used when sending data to the server.
                            cache: false,             // To unable request pages to be cached
                            processData:false,        // To send DOMDocument or non processed data file it is set to false
                            success: function(data)   // A function to be called if request succeeds
                            {
                                $('#loading').hide();
                                $("#output").html(data);
                            }
                        });
                    }));

                    // Function to preview image after validation
                    $(function() {
                        $("#file").change(function() {
                            $("#output").empty(); // To remove the previous error message
                            var file = this.files[0];
                            $('#path').val($(this).val());
                            var imagefile = file.type;
                            var reader = new FileReader();
                            reader.onload = imageIsLoaded;
                            reader.readAsDataURL(this.files[0]);
                        });
                    });

                    function imageIsLoaded(e)
                    {



                    };
                });
            </script>

            <div class="inputfield">
                <h1><?php Sprache($title); ?></h1>
                <form id="uploadconfig" action="" method="post" enctype="multipart/form-data">
                    <div id="selectImage">
                        <h4><?php Sprache("selectfile"); ?> </h4>
                        <div class="file"><input type="file" id="file" accept=".RaZip" name="file" required><p><?php Sprache("findfile");?></p></div><br>
                        <input type="text" id="path" readonly="readonly" value="<?php Sprache("noselection"); ?>" name="test">
                        <?php if (isset($_POST['initial'])) { ?> <input type="hidden" name="initial" value="true"/> <?php } ?>
                        <div class="permission write cf">
                            <p class="wpath">/etc/RaSmatinServer/RaSmatin.RaUC</p>
                            <p class="wstatus"></p>
                        </div>
						<div class="permission write cf">
                            <p class="wpath">/etc/RaSmatinServer/Correction</p>
                            <p class="wstatus"></p>
                        </div>
                        <div class="permission write cf">
                            <p class="wpath">/etc/RaSmatinServer/CustomElements</p>
                            <p class="wstatus"></p>
                        </div>
                        <div class="permission write cf">
                            <p class="wpath"><?php echo $_SERVER['DOCUMENT_ROOT'] . '/images/categories'; ?></p>
                            <p class="wstatus"></p>
                        </div>
                        <div class="permission write cf">
                            <p class="wpath">/tmp</p>
                            <p class="wstatus"></p>
                        </div>
                        <input type="submit" value="Upload" class="submit" />
                        <?php if (isset($_POST['initial'])) { ?> <input type="button" onclick="setActive(3)" value="<?php Sprache("skip"); ?>"/> <?php } ?>
                    </div>
                </form>
                <div id="output"></div>
            </div>
	<?php
    }
?>
