<?php
	if(include "config.php")
    {
        if(isset($_FILES["file"]["type"]) && $_FILES['file']['error'] == UPLOAD_ERR_OK && is_uploaded_file($_FILES['file']['tmp_name']))
        {
            DeleteTable($con, "items");
            DeleteTable($con, "modules");
            DeleteTable($con, "categories");
            DeleteTable($con, "levels");
            Insert($_FILES['file']['tmp_name'], $con);
            
            rename($_FILES['file']['tmp_name'] , "/etc/RaSmatinServer/RaSmatin.RaZip");
            echo "<p>";Sprache("okupload");echo "</p>";
            echo "<p>";RestartPython();echo "</p>";
            if(isset($_POST['initial']))
            {
                ?>
                    <script type="text/javascript">
                        $(document).ready(function()
                        {
                           setActive(3);
                        });
                    </script>
                <?php
            }
            
        }
    }

function DeleteTable($con, $tablename)
{
    mysqli_query($con, "SET FOREIGN_KEY_CHECKS = 0;");
    $sql = "TRUNCATE TABLE $tablename;";
    $result = mysqli_query($con, $sql);
    $result = true;
    mysqli_query($con, "SET FOREIGN_KEY_CHECKS = 1;");
    if (!$result)
    {
        Sprache('errorno');
        echo mysqli_errno($con);
        die();
    }
}

function LoadTableViaCSV($con, $filePath, $tablename)
{
    $filePath = "/tmp/MySQL/$filePath.csv";
    $sql = "LOAD DATA INFILE '$filePath' INTO TABLE $tablename CHARACTER SET UTF8 FIELDS TERMINATED BY ';' LINES TERMINATED BY '\r\n'";
    
    if($filePath == "/tmp/MySQL/variables.csv")
    {
        $sql .= "(id, name, plugid, @vmoduleid, variabletype, readonly, prefix, suffix, categoryid, mainlevelid, type, startvalue, format, refreshtime, logtime, correction, min, max ) SET moduleid = nullif(@vmoduleid,'')";
    }

    $result = mysqli_query($con, $sql);
    if (!$result)
    {
        echo file_get_contents($filePath);
        echo $tablename;
        Sprache('errorno');
        echo mysqli_errno($con) . ": " . mysqli_error($con) . "\n";
        die();
    }
}

/**
 * @param $file
 */
function Insert($file, $con)
{
    $serverFolder = "/etc/RaSmatinServer";
    is_writable($serverFolder) or die(Sprache("readonly"));

    $za = new ZipArchive();
    $za->open($file);
    for ($i=0; $i<$za->numFiles;$i++)
    {
        $path = str_replace("\\","/", $za->statIndex($i)['name']);
        $foldername = dirname($path);
        $filename = basename($path);
        if($foldername == "Images")
        {
            $extactFolder = $_SERVER['DOCUMENT_ROOT'] . '/images/categories/';
            is_writable($extactFolder) or die(Sprache("readonly") . "($extactFolder)");
            $za->extractTo($extactFolder, $za->getNameIndex($i));

            rename($extactFolder . '/' . $za->getNameIndex($i), $extactFolder  . $filename);
        }
        else if ($foldername == "MySQL")
        {
            $extactFolder = "/tmp";
            is_writable($extactFolder) or die(Sprache("readonly") . "($extactFolder)");
            $oldfile = $extactFolder . '/' . $za->getNameIndex($i);
            $newfile = $extactFolder . '/' . str_replace('\\', DIRECTORY_SEPARATOR, $za->getNameIndex($i));
            if(!file_exists(dirname($newfile)))
                mkdir(dirname(($newfile)));
            $za->extractTo($extactFolder, $za->getNameIndex($i));
            rename($oldfile, $newfile);
        }
        else
        {
            $newfile = $serverFolder . '/' . str_replace('\\', DIRECTORY_SEPARATOR, $za->getNameIndex($i));
            is_writable(dirname($newfile)) or die(Sprache("readonly") . dirname($newfile));
            if(!file_exists(dirname($newfile)))
                mkdir(dirname(($newfile)));
            $za->extractTo(dirname(($newfile)), $za->getNameIndex($i));
            rename(dirname(($newfile)) . DIRECTORY_SEPARATOR . $za->getNameIndex($i), $newfile);

        }
    }
    
    LoadAllCSV($con);
}

function LoadAllCSV($con)
{
    LoadTableViaCSV($con, "modules", "modules");
    LoadTableViaCSV($con, "tree", "levels");
    LoadTableViaCSV($con, "categories", "categories");
    LoadTableViaCSV($con, "plugs", "items");
    LoadTableViaCSV($con, "variables", "items");
}

?>
