<?php
$title = "controlpanel";
if(include "config.php")
{
    if(!isset($_POST['initial']))
    {
    ?>
        <script type="text/javascript">

            function startServer()
            {
                $.ajax(
                {
                    url: "<?php echo dirname($_SERVER['PHP_SELF']) . DIRECTORY_SEPARATOR . 'startserver.php'; ?>"
                }
                ).done(function(data)
                {
                    reloadPage();
                    ConnectToWebsocket(username);
                });
            }

            function stopServer()
            {
                $.ajax(
                    {
                        url: "<?php echo dirname($_SERVER['PHP_SELF']) . DIRECTORY_SEPARATOR . 'stopserver.php'; ?>"
                    }
                ).done(function(data)
                {
                    reloadPage();
                });
            }
        </script>
    <?php
    }
    $online = ServerRunning();
    ?>
    <div class="inputfield">
        <h1><?php Sprache($title); ?></h1>
        <table>
            <tr>
                <td colspan="3" class="tableh1"><?php Sprache("rasmatinserver"); ?></td>
            </tr>
            <tr>
                <td><?php Sprache("status"); ?></td>
                <td id="status"><?php if($online){Sprache('online');}else{ Sprache('offline');} ?></td>
                <td>
                    <?php
                    if($online)
                    {
                        ?><a onclick="stopServer()"><?php Sprache("stop"); ?></a><?php
                    }
                    else
                    {
                        ?><a onclick="startServer()"><?php Sprache("start"); ?></a><?php
                    }
                    ?>
                </td>
            </tr>
            <?php
            if($online)
            {
                $socket = "";
                if(Authenificate($socket))
                {
                    sendMessage($socket, array('Action' => "InfoRequest"));
                    $message = recvMessage($socket);
                    sendMessage($socket, array('Action' => "CloseConnection"));
                    closeSocket($socket);
                    ?>
                    <tr>
                        <td colspan="3" class="tableh2"><?php Sprache("info"); ?></td>
                    </tr>
                    <tr>
                        <td><?php Sprache("version"); ?></td>
                        <td colspan="2"><?php echo $message->Version; ?></td>
                    </tr>
                    <tr>
                        <td><?php Sprache("date"); ?></td>
                        <td colspan="2"><?php echo $message->Date; ?></td>
                    </tr>
                    <tr>
                        <td colspan="3" class="tableh2"><?php Sprache("variables"); ?></td>
                    </tr>
                    <tr>
                        <td><?php Sprache("elements"); ?></td>
                        <td colspan="2"><?php echo $message->Elements; ?></td>
                    </tr>
                    <tr>
                        <td><?php Sprache("plugs"); ?></td>
                        <td colspan="2"><?php echo $message->Plugs; ?></td>
                    </tr>
                    <tr>
                        <td><?php Sprache("uservariables"); ?></td>
                        <td colspan="2"><?php echo $message->UserVariables; ?></td>
                    </tr>
                    <tr>
                        <td><?php Sprache("privatevariables"); ?></td>
                        <td colspan="2"><?php echo $message->PrivateVariables; ?></td>
                    </tr>
                    <?php
                }
                else
                {
                    Sprache('couldnotconnecttosocket');
                }
            }
            ?>
        </table>
        <h2><?php Sprache("log"); ?></h2>
        <pre>
            <?php
                $file = "/var/log/RaSmatinServer/output.log";
                if(file_exists($file))
                {
                    $myfile = fopen($file, "r") or die(Sprache("couldnotoopenfile", true));
                    echo fread($myfile,filesize($file));
                    fclose($myfile);
                }
                else
                {
                    Sprache("filedoesnotexist");
                }
            ?>
        </pre>
        <div id="output"></div>
    </div>
    <?php
}
?>