<?php
	if(!require "config.php")
	{
        return;
    }
    $scandir = $_SERVER['DOCUMENT_ROOT'] . "/plugins";
    $scan = scandir($scandir);
?>


<script>
    addJavascript('js/jquery-ui.min.js');
    addJavascript('js/overview.js');
    addJavascript('js/overviewController.js');

   <?php
        foreach($scan as $f)
        {
            if(preg_match("/(.*)(_template\.json)$/", $f, $match) && file_exists($scandir . '/'. $match[1] . ".js"))
            {
                ?>
                    addJavascript('<?php echo ("plugins/". $match[1] . ".js"); ?>');
                <?php
            }
        }
    ?>
       
    
    var $injector = angular.injector(['ng', 'myApp']);
    $injector.invoke(function($rootScope, $compile, $filter) 
    {
        $compile($('#overview_config'))($rootScope);
    });
    


</script>

<div id="output"></div>


<div id="overview_config" ng-controller="overviewSettingsController">
<input type="button" value="<?php Sprache("addField");?>" ng-click="addField()"/>
<input type="button" value="<?php Sprache("save");?>" ng-click="save()"/>


<div id="overview_field" class="config" >
    <div ng-repeat="x in overviewData" class="dragresizeable" dragresizeable model="x" sqlid="{{x.id}}" ng-style="{'width': x.width, 'height': x.height, 'top': x.y + 'px', 'left': x.x + 'px'}">
        <div class="item">
            <img class="right_top" src="images/add.gif" alt="Add" ng-click="openDialogAndSetID(x)"/>
            <img class="left_top" src="images/remove.gif" alt="Remove" ng-click="removeItem(x)"/>
            <?php
                foreach($scan as $f)
                {
                    if(preg_match("/(.*)(_template\.json)$/", $f, $match) && file_exists($scandir . '/'. $match[1] . ".php"))
                    {
                        include($scandir . '/'. $match[1] . ".php");
                    }
                }
            ?>
        </div>
    </div>
</div>

<div class="dialog" id="overview_dialog">       
        <img class="right_top" src="images/remove.gif" alt="Close" onclick="closeDialog('overview_dialog')"/>
        <form name="form" ng-submit="configOk(form)">
                
        <h1><?php Sprache("config"); ?></h1>
        <h2><?php Sprache("display"); ?></h2>

        <select id="display" ng-model="display" ng-change="updatePluginTemplate()">
            <option value="" required="required">----<?php Sprache("pleaseselect") ?>----</option>
            <?php
            foreach($scan as $f)
            {
                if(preg_match("/(.*)(_template\.json)$/", $f, $match))
                {
                    ?><option value="<?php echo $match[1]; ?>"><?php echo $match[1]; ?></option><?php
                }
            }
            ?>
        </select>
        
        <div class="template" ng-repeat="a in template">
            <select ng-model="value[a.id]" ng-if="a.type == 'item'" ng-options="variable.name for variable in allItems() | inArray: {variabletype: a.filter}" ng-required="a.required=='true'">
                <option value="">----<?php Sprache("pleaseselect") ?>----</option>
            </select>
            <select ng-model="value[a.id]" ng-if="a.type == 'multiitem'" ng-options="variable.name for variable in allItems() | inArray: {variabletype: a.filter}" ng-required="a.required=='true'" multiple>
                <option value="">----<?php Sprache("pleaseselect") ?>----</option>
            </select>
            <input type="text" ng-if="a.type == 'string'" ng-model="value[a.id]" ng-init="setSaveOrDefault(a)" ng-required="a.required=='true'"/>
            <input type="number" ng-if="a.type == 'number'" ng-model="value[a.id]" ng-init="setSaveOrDefault(a)" ng-required="a.required=='true'"/>
            <h2 ng-if="a.type == 'headline'">{{a.text}}<h2/>
            <input type="checkbox" ng-if="a.type == 'boolean'" ng-model="value[a.id]" ng-true-value="'1'" ng-false-value="'0'" ng-init="setSaveOrDefault(a)" ng-required="a.required=='true'"/>
            <input type="color" ng-if="a.type == 'color'" ng-init="setSaveOrDefault(a)" ng-model="value[a.id]" class="color" ng-required="a.required"/>
        </div>
        {{form.$valid}}
        <input type="submit" value="<?php Sprache("ok");?>"/>
        </form>
    </div>
</div>