<div ng-if="x.display == 'item'" style="display: flex; align-items: stretch; height: 100%; flex-direction: column;">
    <h4>{{x.json.headline}}</h4>
    <ul class="plugs">
        <li item class="cf" ng-repeat="(communicateid, Item) in x.json.items" model="x.json" ng-init="x.json.setVariable = setVariable">
            <p class="plugname">{{Item.name}}</p>
            <div class="inputbox cf">
                <label ng-if="Item.prefix!=''">{{Item.prefix}}</label>
                <div id="{{Item.communicateid}}"    class="{{Item.variabletype}}" 
                                                    ng-class="{
                                                        Input: Item.readonly=='1', 
                                                        Output: Item.readonly!='1', 
                                                        ON: Item.variabletype == 'Boolean' && Item.value=='1',
                                                        PublicValue: Item.type == 'variable'}"
                                                    ng-if="Item.variabletype == 'Boolean'"
                                                    ng-click="plugClick(Item.communicateid)"></div>
                <div ng-if="Item.variabletype != 'Boolean' && Item.readonly == '0' && Item.type == 'variable'">
                    <input type="number" class="{{Item.variabletype}}" 
                            ng-if="Item.variabletype == 'Int32' || Item.variabletype == 'Double'"
                            ng-class="{Input: Item.readonly=='1', Output: Item.readonly!='1'}" id="{{Item.communicateid}}" min="{{Item.min}}" max="{{Item.max}}" ng-model="Item.value"/>
                    <input type="text" class="{{Item.variabletype}}" 
                            ng-if="Item.variabletype == 'String'"
                            ng-class="{Input: Item.readonly=='1', Output: Item.readonly!='1'}" id="{{Item.communicateid}}" ng-model="Item.value"/>
                    <input type="datetime-local" class="DateTime" 
                            ng-if="Item.variabletype == 'DateTime' || Item.variabletype == 'Time'"
                            ng-class="{Input: Item.readonly=='1', Output: Item.readonly!='1'}" id="{{Item.communicateid}}" min="{{Item.min}}" max="{{Item.max}}" ng-model="Item.value"/>
                </div>
                <div ng-if="Item.variabletype != 'Boolean' && Item.readonly == '1'">{{Item.value}}</div>
                <label ng-if="Item.suffix!=''">{{Item.suffix}}</label>
                <input type="button" value="<?php Sprache('ok');?>" ng-if="Item.variabletype != 'Boolean' && Item.readonly=='0' && Item.type =='variable'" ng-click="sendValue(Item.communicateid)"/>
            </div>
        </li>     
    </ul>
</div>