app.directive('kompass', [function() 
{
  return {
    restrict: 'A',
    scope: {
      'model': '='
    },
    link: function(scope, elem, attrs) 
    {
        scope.model.setVariable(scope.model, "direction").then(function(result)
        {
            scope.$watch(function(){return scope.model.direction.value;}, function(newVal) 
            {
                $(elem).kompass('setValues',newVal, scope.model.speed.value);
            });
        });
        scope.model.setVariable(scope.model, "speed").then(function(result)
        {
            scope.$watch(function(){return scope.model.speed.value;}, function(newVal) 
            {
                $(elem).kompass('setValues',scope.model.direction.value, newVal);
            });
        });
        $(elem).kompass(
        {
            radius: 70,
            min: scope.model.min,
            max: scope.model.max,
            label_ticks: scope.model.ticks
        });
    }
  };
}]);